import redis

class MessageBroker:
    def __init__(self, vault):
        self.conn = redis.Redis(
            host='localhost', 
            port=6379,
            password=vault.get_api_key('redis')
        )
        
    def publish(self, channel: str, message: dict):
        self.conn.publish(channel, json.dumps(message))
        
    def subscribe(self, channel: str):
        pubsub = self.conn.pubsub()
        pubsub.subscribe(channel)
        return pubsub
