from .research_agent import RoseResearch
from .web.app import init_app

class ResearchOrchestrator:
    def __init__(self):
        self.research = RoseResearch()
        self.web_app = init_app()
        
    async def start_services(self):
        await self.web_app.startup()
        # Initialize other services
        
    async def shutdown_services(self):
        await self.web_app.shutdown()
