import os
from datetime import timedelta

SECURITY_CONFIG = {
    'AES_KEY': os.getenv('VAULT_AES_KEY', ''),
    'KEY_ROTATION_HOURS': 24,
    'FALLBACK_ENABLED': True,
    'ENCRYPTION_MODE': 'hybrid',  # hybrid/aes/legacy
    'METRICS': {
        'encryption_time': [],
        'decryption_errors': 0,
        'fallback_count': 0
    },
    'ROTATION_INTERVAL': timedelta(hours=24),
    'MAX_RETRIES': 3
}
