import websockets


class TradingViewStream:
    def __init__(self):
        self.ws = None

    async def connect(self):
        self.ws = await websockets.connect(
            "wss://prodata.tradingview.com/socket.io/websocket",
            extra_headers={"Origin": "https://www.tradingview.com"},
        )

    async def stream_data(self):
        async for message in self.ws:
            yield message
