# SYSTEM TIER CORE MODULE

__version__ = '0.1.0'
__all__ = ['create_app']

from fastapi import FastAPI

def create_app():
    """Initialize the system tier web host"""
    app = FastAPI(
        title="System Tier API",
        version=__version__,
        docs_url="/sys-docs"
    )
    return app
